require 'titlezilla/version'
require 'titlezilla/helpers'

module Titlezilla
  def self.configure
    yield(configuration) if block_given?
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.reset_configuration
    @configuration = Configuration.new
  end

  class Configuration
    attr_accessor :action_map, :separator

    def initialize
      @action_map = { create: :new, update: :edit }
      @separator = ' | '
    end
  end
end
